Table of Contents

## Name

im_errormsg, im_clear_error_string, im_warning, im_diagnostics - handle error messages from VIPS

## Synopsis

#include <vips/vips.h>

void im_errormsg( variable_list )

void im_clear_error_string(3)

void im_warning( variable_list )

void im_diagnostics( variable_list )

## Description

im_errormsg(3) writes the message held in variable_list in the buffer errorstring[] The format of ( variable_list ) is:

(format, arg1, arg2, ...)

which is the same as for printf. If in any of the libsrc functions an error is detected, a message is written into errorstring by using this function, before returning.

im_clear_error_sting(3) resets the external buffer errorstring[] to point to NULL. This function can be used to clear errorstring[]. error_exit(3) prints out the error string before exitting.

im_warning(3) writes the message held in variable_list to stderr. The format of ( variable_list ) is:

(format, arg1, arg2, ...)
which are the same as in printf.

If an environment variable IM_WARNING exists, messages are suppressed. Warnings should be used for non-critical recoverable errors such as values being clipped.

im_diagnostics(3) writes the message held in variable_list to stderr. The format of ( variable_list ) is:

(format, arg1, arg2, ...)
which are the same as in printf.

If an environment variable IM_DIAGNOSTICS exists, messages are suppressed. Diagnostics should be used to give extra feedback about the result of the operation.

## See Also

error_exit(3) , im_intro(3) .

## Copyright

Birkbeck College

## Author

N. Dessipris - 22/04/1991

Table of Contents

- Name
- Synopsis
- Description
- SeeAlso
- Copyright
- Author